package cz.muni.fi.pb162.radio;

import cz.muni.fi.pb162.radio.parts.*;
/**
 * Write a description of class Radio here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Radio
{
    private double frequency = 0;
    
    private Switch radioSwitch;
    
    private Speaker speaker;
    
    private Display display;
    
    public Radio(int maxVolume){
        radioSwitch = new Switch();
        speaker = new Speaker(maxVolume);
        display = new Display();
    }
    
    public void turnOn(){
        radioSwitch.setTurnedOn(true);
    }
    
    public void turnOff(){
        radioSwitch.setTurnedOn(false);
        display.setContent("");
    }
    
    public void increaseVolume(){
        speaker.setVolume(speaker.getVolume() + 1);
    }
    
    public void decreaseVolume(){
        speaker.setVolume(speaker.getVolume() - 1);
    }
    
    public void setFrequency(double frequency){
        if(frequency >= 0){
            this.frequency = frequency;
            display.setContent(((Double)frequency).toString());
        }
    }   
}
