package radio.cz.muni.fi.pb162.radio.parts;


/**
 * One line text display with 20 being the maximal number of characters
 * 
 * @author .ubo Pecho, tomorrow@mail.muni.cz .
 * @version 8.10.2009 
 */
public class Display
{
    
    /**
     * Content of the display
     */
    private String content = "";
    
    /**
     * @return content of the display
     */
    public String getContent(){
        return content;
    }
    
    /**
     * Sets the content of the display. If the set content is longer then 20 characters, 
     * the overflowed characters are ignored
     * @param content
     */
    public void setContent(String content){
        if(content.length()>20){
            this.content = content.substring(0,20);
        } else {
            this.content = content;
        }    
    }
}
